<?xml version="1.0" encoding='ISO-8859-1'?>
<!-- Xsl trasformazione del formato HAV2 XML in un HTML di presentazione -->
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="1.0">
	<xsl:output method="html" indent="yes" omit-xml-declaration="yes" />
	<xsl:template match="/">
		<html><body>
		<H2 Color="blue"><xsl:value-of select="TABLE/@titolo"/></H2>
		<table border="1">
			<xsl:for-each select="TABLE/TR">
				<tr><xsl:choose>
						<xsl:when test="position() = 1">
							<xsl:attribute name="bgcolor">beige</xsl:attribute>
						</xsl:when>
						<xsl:when test="position() mod 2 = 1">
							<xsl:attribute name="bgcolor">#cccccc</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="bgcolor">beige</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:for-each select="*"><td><xsl:choose>
								<xsl:when test="count(COMANDO/*) &gt; 0"><a><xsl:attribute name="href">
										<xsl:value-of select="COMANDO/PROCEDURA"/>
										<xsl:for-each select="COMANDO/PARAMETRO">
											<xsl:value-of select="concat('$',.)"/>	
										</xsl:for-each>	
									</xsl:attribute>
									<xsl:if test="DESCRIZIONE !=''">
										<xsl:value-of select="DESCRIZIONE"/>
									</xsl:if>
									<xsl:if test="DESCBOLD !=''">><b><xsl:value-of select="DESCBOLD"/></b>	
									</xsl:if></a>
								</xsl:when>
								<xsl:when test="count(COLONNA/*) &gt; 0">
									<xsl:if test="COLONNA/SPAZIO != ''">
										<xsl:attribute name="colspan">
										<xsl:value-of select="COLONNA/SPAZIO"/>
										</xsl:attribute>	
									</xsl:if>
									<xsl:attribute name="align">
										<xsl:value-of select="COLONNA/ALLINEAMENTO"/>
									</xsl:attribute>
									<xsl:if test="COLONNA/SFONDO != ''">
										<xsl:attribute name="bgcolor">
										<xsl:value-of select="COLONNA/SFONDO"/>
										</xsl:attribute>	
									</xsl:if>
									<xsl:if test="DESCRIZIONE !=''">
										<xsl:value-of select="DESCRIZIONE"/>
									</xsl:if>
									<xsl:if test="DESCBOLD !=''">
										<b><xsl:value-of select="DESCBOLD"/></b>	
									</xsl:if>
								</xsl:when>
								<xsl:otherwise>
									<xsl:if test="DESCRIZIONE !=''">
										<xsl:value-of select="DESCRIZIONE"/>
									</xsl:if>
									<xsl:if test="DESCBOLD !=''">
										<b><xsl:value-of select="DESCBOLD"/></b>	
									</xsl:if>
								</xsl:otherwise>
							</xsl:choose></td>
					</xsl:for-each>
				</tr>
			</xsl:for-each>
		</table>
		</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
